| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Classes | Typedefs | Enumerations | Functions
/builds/wireshark/wireshark/cfile.h File Reference
`#include <epan/epan.h>`
`#include <epan/column-info.h>`
`#include <epan/dfilter/dfilter.h>`
`#include <epan/frame_data.h>`
`#include <epan/frame_data_sequence.h>`
`#include <wiretap/wtap.h>`

Go to the source code of this file.

## Classes
struct | packet_provider_data
struct | _capture_file

## Typedefs
typedef struct _capture_file | capture_file

## Enumerations
enum | file_state { FILE_CLOSED , FILE_READ_PENDING , FILE_READ_IN_PROGRESS , FILE_READ_ABORTED , FILE_READ_DONE }
enum | rescan_type { RESCAN_NONE = 0 , RESCAN_SCAN , RESCAN_REDISSECT }
enum | search_charset_t { SCS_NARROW_AND_WIDE , SCS_NARROW , SCS_WIDE }
enum | search_direction { SD_FORWARD , SD_BACKWARD }

## Functions
void | cap_file_init (capture_file *cf)
const nstime_t * | cap_file_provider_get_frame_ts (struct packet_provider_data *prov, uint32_t frame_num)
const nstime_t * | cap_file_provider_get_start_ts (struct packet_provider_data *prov)
const nstime_t * | cap_file_provider_get_end_ts (struct packet_provider_data *prov)
const char * | cap_file_provider_get_interface_name (struct packet_provider_data *prov, uint32_t interface_id, unsigned section_number)
const char * | cap_file_provider_get_interface_description (struct packet_provider_data *prov, uint32_t interface_id, unsigned section_number)
int32_t | cap_file_provider_get_process_id (struct packet_provider_data *prov, uint32_t process_info_id, unsigned section_number)
const char * | cap_file_provider_get_process_name (struct packet_provider_data *prov, uint32_t process_info_id, unsigned section_number)
const uint8_t * | cap_file_provider_get_process_uuid (struct packet_provider_data *prov, uint32_t process_info_id, unsigned section_number, size_t *uuid_size)
wtap_block_t | cap_file_provider_get_modified_block (struct packet_provider_data *prov, const frame_data *fd)
void | cap_file_provider_set_modified_block (struct packet_provider_data *prov, frame_data *fd, const wtap_block_t new_block)

## Detailed Description

capture_file definition & GUI-independent manipulation

Wireshark - Network traffic analyzer By Gerald Combs geral.nosp@m.d@wi.nosp@m.resha.nosp@m.rk.o.nosp@m.rg Copyright 1998 Gerald Combs

SPDX-License-Identifier: GPL-2.0-or-later

## Function Documentation

## ◆ cap_file_provider_get_interface_description()

const char * cap_file_provider_get_interface_description | ( | struct packet_provider_data * | prov,
|  | uint32_t | interface_id,
|  | unsigned | section_number
| ) |  |

< A UTF-8 string containing the description * of the device used to capture data. * "Wi-Fi" / "Local Area Connection" / * "Wireless Network Connection" / * "First Ethernet Interface"

## ◆ cap_file_provider_get_interface_name()

const char * cap_file_provider_get_interface_name | ( | struct packet_provider_data * | prov,
|  | uint32_t | interface_id,
|  | unsigned | section_number
| ) |  |

< A UTF-8 string containing the name * of the device used to capture data. * "eth0" / "\Device\NPF_{AD1CE675-96D0-47C5-ADD0-2504B9126B68}"

< A UTF-8 string containing the description * of the device used to capture data. * "Wi-Fi" / "Local Area Connection" / * "Wireless Network Connection" / * "First Ethernet Interface"

< A UTF-8 string containing the description * of the hardware of the device used * to capture data. * "Broadcom NetXtreme" / * "Intel(R) PRO/1000 MT Network Connection" / * "NETGEAR WNA1000Mv2 N150 Wireless USB Micro Adapter"